Composite <- function(var, occurrences, lag) {
  #
  # This function composites the 3-d field (x, y, time) according the indices
  # of occurrences (nclusters, time) and compute the pvalue of the anomalies
  # obtained.
  # 
  # Args
  #  var : 3-dimensional matrice (x, y, time) containing the variable to 
  #        composite
  #  occurrences : 1-dimension array (ncluster) containing 1 or 2 or .. when
  #                a spacific cluster occurs at specific time step
  #  lag :
  #
  # Return :
  #   composites : 2-dimensional matrice (x, y) containing the composites  
  #   pvalue   : 2-dimensional matrice (x, y) containing the pvalue of the 
  #              composite anomalies obtained through a t-test
  #              that accounts for the serial dependence of the data
  #
  # History:
  #   
##############################################################################

# HEre there should be simply a call to Mean1Dim on var[,,occurrences]
#  and then a loop on the spatial dimensions to call Eno to get the number
# of independent data and then a call to t.test to get the pvalue
# Then you send the composites and pvalue as a list

noc=max(occurrences)
nalani=array(dim=c(noc,length(var[,1,1]),length(var[1,,1])))

for (ii in 1:noc) {
    counter=0
    tmp_matrix=matrix(0,length(var[,1,1]),length(var[1,,1]))
    for (jj in 1:length(occurrences)) {
        if (occurrences[jj]==ii+lag) {
           counter=counter+1
           tmp_matrix=tmp_matrix+var[,,jj]
        }
    }
    tmp_matrix=tmp_matrix/counter
    nalani[ii,,]=tmp_matrix
}

 Composite <- array(dim=c(noc,length(var[,1,1]),length(var[1,,1])))
 Composite[] <- nalani
 # output
 Composite
}




