
library('s2dverification')
library('RColorBrewer')
source('/home/nevensf/gitrep/s2dverification/R/Load.R')
source('/home/nevensf/gitrep/s2dverification/R/Composite.R')
source('/home/nevensf/gitrep/s2dverification/R/PlotStereoMap.R')

#print(' ')
#print(' Start Load of 30-year b02p SST and ERSST')
#print(' ')
#SST1=Load(var='tos',exp='b02p',obs='ERSST',sdates=c(19501101),nleadtime=360,leadtimemin=1,leadtimemax=360,storefreq="monthly",sampleperiod=1,output='lonlat')
#print(' ')
#print(' Load Done')
#print(' ')

#save(SST1,file='SST1_test10.sav')
load('SST1_test10.sav')

print(' ')
print(' mod dimensions')
print(dim(SST1$mod))
print(' ')
print(' obs dimensions')
print(dim(SST1$obs))
print(' ')
print(' longitude axis')
print(dim(SST1$lon))
print(' ')
print(' latitude axis')
print(dim(SST1$lat))

SSTmod=Mean1Dim(SST1$mod,2)
print(' ')
print(' new mod dimensions')
print(dim(SSTmod))

tensor_mod=array(dim=c(length(SSTmod[1,1,1,1,]),length(SSTmod[1,1,1,,1]),length(SSTmod[1,1,,1,1])))
print(' ')
print(' mod tensor')
print(dim(tensor_mod))

tensor_obs=array(dim=c(length(SST1$obs[1,1,1,1,1,]),length(SST1$obs[1,1,1,1,,1]),length(SST1$obs[1,1,1,,1,1])))
print(' ')
print(' obs tensor')
print(dim(tensor_obs))

for (xx in 1:length(SSTmod[1,1,1,1,])) {
    for (yy in 1:length(SSTmod[1,1,1,,1])) {
        tensor_mod[xx,yy,]=SSTmod[1,1,,yy,xx]
        tensor_obs[xx,yy,]=SST1$obs[1,1,1,,yy,xx]
    }
}

ts0=seq(1,12,1)
tso=seq(1,12,1)
for (i in 1:29) {
    tso=c(tso,ts0)
}

print(' ')
print('The start of mod Composite')
print(' ')
bubi_mod=Composite(tensor_mod,tso,0)
print(' ')
print('The dimensions of bubi_mod')
print(' ')
print(dim(bubi_mod))

#cols=rev(c(brewer.pal(11,"Spectral")))
#lims=c(271,274,277,280,283,286,289,292,295,298,301,304)

#for (j in 1:max(tso) ) {
#    if (j<10) {
#      postscript(paste('Mod_cluster_0',j,'.eps',sep=''))
#      }
#      else {
#           postscript(paste('Mod_cluster_',j,'.eps',sep=''))
#      }
#    PlotEquiMap(bubi_mod[j,,],SST1$lon,SST1$lat,toptitle=paste('Model cluster ',j,sep=''),sizetit=0.8,brks=lims,cols=cols,colNA=grey(0.4),filled.continents=T,intylat=30)
#    dev.off()
#}

cols=rev(c(brewer.pal(11,"Spectral")))
lims=c(271,273,275,277,279,281,283,285,287,289,291,293)

for (j in 1:max(tso) ) {
    if (j<10) {
      postscript(paste('Mod_cluster_polar_0',j,'.eps',sep=''))
      }
      else {
           postscript(paste('Mod_cluster_polar_',j,'.eps',sep=''))
      }
    PlotStereoMap(bubi_mod[j,,],SST1$lon,SST1$lat,latlims=c(35,90),toptitle=paste('Model cluster Npolar ',j,sep=''),sizetit=0.8,brks=lims,cols=cols,filled.continents=T)
    dev.off()
}


print(' ')
print('The start of obs Composite')
print(' ')
bubi_obs=Composite(tensor_obs,tso,0)
print(' ')
print('The dimensions of bubi_obs')
print(' ')
print(dim(bubi_obs))

#cols=rev(c(brewer.pal(11,"Spectral")))
#lims=c(271,274,277,280,283,286,289,292,295,298,301,304)

#for (j in 1:max(tso) ) {
#    if (j<10) {
#      postscript(paste('Obs_cluster_0',j,'.eps',sep=''))
#      }
#      else {
#           postscript(paste('Obs_cluster_',j,'.eps',sep=''))
#      }
#    PlotEquiMap(bubi_obs[j,,],SST1$lon,SST1$lat,toptitle=paste('Observational cluster ',j,sep=''),sizetit=0.8,brks=lims,cols=cols,colNA=grey(0.4),filled.continents=T,intylat=30)
#    dev.off()
#}

cols=rev(c(brewer.pal(11,"Spectral")))
lims=c(271,273,275,277,279,281,283,285,287,289,291,293)

for (j in 1:max(tso) ) {
    if (j<10) {
      postscript(paste('Obs_cluster_polar_0',j,'.eps',sep=''))
      }
      else {
           postscript(paste('Obs_cluster_polar_',j,'.eps',sep=''))
      }
    PlotStereoMap(bubi_obs[j,,],SST1$lon,SST1$lat,latlims=c(-90,-35),toptitle=paste('Observational cluster Spolar ',j,sep=''),sizetit=0.8,brks=lims,cols=cols,filled.continents=T)
    dev.off()
}


